jed

Jed may refer to: read more at WikiPedia

  •  

    Only for SecurityImages 5.1.x and Joomla! 1.5.16


    Allow login views, login modules, register, lost password, lost user account and contact section to be
    protected by SecurityImages
    • Are for Joomla! 1.5.16 only and SecurityImages 5.1.x or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.16-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip (33kB) and
      overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages.
  •  

    Only for SecurityImages 5.1.x and Joomla! 1.5.17


    Allow login views, login modules, register, lost password, lost user account and contact section to be
    protected by SecurityImages
    • Are for Joomla! 1.5.17 only and SecurityImages 5.1.x or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.17-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip (33kB) and
      overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages.

    Keep up to date with the Joomla! 1.5 patches RSS Feed Icon

    Download

    How to install documentation

  • 152release

    Since Joomla 1.5.2 is released...Here are the new patches for SecurityImages 5.0.0

    • Allow login views, login modules, register, lost password, lost user account and contact section to be protected by SecurityImages
    • Are for Joomla! 1.5.1 only and SecurityImages 5.0.0Beta2
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below for more details
    • Download file Joomla_1.5.2-Stable-Full_PackageForSecurityImages5.0.0.zip (33kB) and overwrite file on your server
    Download them here
  •  

    Only for SecurityImages 5.1.x and Joomla! 1.5.21

    Allow login views, login modules, register, lost password, lost user account and contact section to be
    protected by SecurityImages

    • Are for Joomla! 1.5.21 only and SecurityImages 5.1.x or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.21-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip (33kB) and
      overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages.

    User of Joomla! 1.5.20 with patch “Joomla_1.5.20-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip”

    you can skip this update: no need to install since Joomla 1.5.21 did not change any of the files that are required for securityimages

    • Joomla_1.5.20-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip
    • EQUAL
    • Joomla_1.5.21-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip

     

    Keep up to date with the Joomla! 1.5 patches RSS Feed Icon

    Download

    How to install documentation

  • Only for SecurityImages 5.1.x and Joomla! 1.5.22
    Allow login views, login modules, register, lost password, lost user account and contact section to be
    protected by SecurityImages

    • Are for Joomla! 1.5.22 only and SecurityImages 5.1.x or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.22-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip (33kB) and
      overwrite file on your server with the zip package usign FTP/SCP
    • Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages.

    How to install documentation

    Download Joomla_1.5.22-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip

  • Only for SecurityImages 5.1.x and Joomla! 1.5.23
    Allow login views, login modules, register, lost password, lost user account and contact section to be
    protected by SecurityImages

    • Are for Joomla! 1.5.23 only and SecurityImages 5.1.x or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.23-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip (33kB) and
      overwrite file on your server with the zip package usign FTP/SCP
    • Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages.

    How to install documentation

    Download Joomla_1.5.23-Stable-Full_PackageForSecurityImages5.1.x_v01.02.00.zip

  • Only for SecurityImages 5.1.x and Joomla 1.5.26, download HERE

    • Allow login views, login modules, register, lost password, lost user account and contact section to be
      protected by SecurityImages
    • Are for Joomla! 1.5.26 only and SecurityImages 5.1.x or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.26-Stable-Full_PackageForSecurityImages5.1.x_v01.03.00.zip (33kB) and
      overwrite file on your server

    Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value
    (true or false) in Joomla! configuration for using SecurityImages.

    Note that there are two versions of Joomla! available, Joomla 1.5 is end of life! consider updating your Joomla 1.5 to

    • Joomla 2.5 is the current, long term release intended for most websites.
    • Joomla 3.0 is the newest version recommended for developers and early adopters.

    Joomla 2.5 is the best choice if you’d like to incorporate extensions and templates that already exist in the Joomla community. More extensions and templates will be available for 3.0 over time. Read the entire FAQ section below to learn more about which version of Joomla may be right for you.

  • 153release_thumb

    The Joomla! community is pleased to announce the immediate availability of Joomla! 1.5.3 [Vahi].
    This release is earlier than scheduled in order to correct a database name validation error introduced
    in 1.5.2. It has been a month since Joomla! 1.5.2 was released on March 23, 2008.
    The goal is to provide regular, frequent updates to the Joomla! end user community containing the
    latest bug fixes and minor enhancements.

    Since Joomla 1.5.3 is released...Here are the new patches for SecurityImages 5.0.0

    • Allow login views, login modules, register, lost password, lost user account and contact section to be protected by SecurityImages
    • Are for Joomla! 1.5.3 only and SecurityImages 5.0.0Beta3 or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below for more details
    • Download file Joomla_1.5.3-Stable-Full_PackageForSecurityImages5.0.0_v01.00.00.zip (33kB) and overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE configuration once, this will add a new boolean value (true or false) in Joomla! configuration
      for using SecurityImages
    Download them here

     

  • joomla_download_1015_154

    The Joomla! community is pleased to announce the immediate availability of Joomla! 1.5.4 [Naiki].
    This is a normal maintenance release which includes a few low to moderate security issues, many
    bug fixes, and several very nice improvements. It has been a little over ten weeks since
    Joomla! 1.5.3 was released on April 24, 2008. TheDevelopment Working Group's goal is to continue
    to provide regular, frequent updates to the Joomla! community containing the latest bug fixes and
    minor enhancements.

    Since Joomla 1.5.4 is released...Here are the new patches for SecurityImages 5.0.0

    • Allow login views, login modules, register, lost password, lost user account and contact section to be protected by SecurityImages
    • Are for Joomla! 1.5.4 only and SecurityImages 5.0.0Beta3 or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below for more details
    • Download file Joomla_1.5.4-Stable-Full_PackageForSecurityImages5.0.0_v01.00.00.zip (33kB) and overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE config once, this will add a new boolean value (true or false) in Joomla! configuration
      for using SecurityImages
  • joomla_download_1015_154

    The Joomla! community is pleased to announce the immediate availability of Joomla! 1.5.5 [Mamni]. This
    is a quick turnaround release to address the Duplicate Title error from 1.5.4 . This release also contains
    important SEF URL improvements and fixes for com_content in addition to a number of bug fixes and
    improvements. It has been nearly three weeks since Joomla! 1.5.4 was released on July 8, 2008.
    The Development Working Group 's goal is to continue to provide regular, frequent updates to the Joomla! community.

    Since Joomla 1.5.5 is released...Here are the new patches for SecurityImages 5.0.0

    • Allow login views, login modules, register, lost password, lost user account and contact section to be protected by SecurityImages
    • Are for Joomla! 1.5.5 only and SecurityImages 5.0.0Beta3 or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below for more details
    • Download file Joomla_1.5.5-Stable-Full_PackageForSecurityImages5.0.0_v01.00.00.zip (33kB) and overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE config once, this will add a new boolean value (true or false) in Joomla! configuration
      for using SecurityImages
  • joomla_download_banner joomla_donate_banner

    The Joomla Project is pleased to announce the immediate availability of Joomla 1.5.7 [Wovusani].
    This is a security release and contains a number of bug fixes, improvements as well as security fixes.
    It is strongly recommended that users immediately upgrade. It has been nearly four weeks since
    Joomla 1.5.6 was released on August 12, 2008. The Development Working Group's goal is to continue
    to provide regular, frequent updates to the Joomla community.

    Since Joomla 1.5.7 is released...Here are the new patches for SecurityImages 5.0.0

  • Download
  • Details
  •  

    • Allow login views, login modules, register, lost password, lost user account and contact section to be
      protected by SecurityImages
    • Are for Joomla! 1.5.7 only and SecurityImages 5.0.0Beta3 or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.7-Stable-Full_PackageForSecurityImages5.0.0_v01.00.00.zip (33kB) and
      overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE config once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages.

    The version manager page has been updated as well, enjoy ;-)

  •  

    joomla_download_banner joomla_donate_banner

     

    The Joomla! community is pleased to announce the immediate availability of Joomla! 1.5.8

    Since Joomla 1.5.8 is released...Here are the new patches for SecurityImages 5.1.0

    • Allow login views, login modules, register, lost password, lost user account and contact section to be
      protected by SecurityImages
    • Are for Joomla! 1.5.8 only and SecurityImages 5.1.0 or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.8-Stable-Full_PackageForSecurityImages5.1.0_v01.00.00.zip (33kB) and
      overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE config once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages

    DOWNLOAD HERE

  • joomla_download_banner joomla_donate_banner

    The Joomla! community is pleased to announce the immediate availability of Joomla! 1.5.9

    Since Joomla 1.5.9 is released...Here are the new patches for SecurityImages 5.1.0

    • Allow login views, login modules, register, lost password, lost user account and contact section to be
      protected by SecurityImages
    • Are for Joomla! 1.5.9 only and SecurityImages 5.1.0 or later
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below
      for more details
    • Download file Joomla_1.5.9-Stable-Full_PackageForSecurityImages5.1.0_v01.00.00.zip (33kB) and
      overwrite file on your server
    • Go to Joomla! control panel and HIT at least SAVE config once, this will add a new boolean value
      (true or false) in Joomla! configuration for using SecurityImages
  • smugmug.logo  I started writing a new plugin for Smugmug galleries, and after 30 minutes of coding, here are some results!

    If you add this in an article at any place, even multiple times a line like

    {smugmugrandom uri=http://cedricwalter.smugmug.com id=7421071 key=53xgf limit=10 size=200x200}

    you’ll get that result, a default CSS will be provided and to let you customized the layout.

    smugmugrandom.joomla.extension

    The extension will be available soon, I need time to document the extension in my WIKI, push the extension to my download section, commit the code to http://code.google.com/p/smugmug-joomla/

  • I always dislike doing this (changing core file of Joomla!) but here they ARE...

    If any core developer of Joomla! read this, can't we look together to have more event hook (in views, more in controller) in Joomla! core?

    Patches:

    • Allow login views, login modules, register, lost password, lost user account and contact section to be protected by SecurityImages
    • Are for Joomla! 1.5.1 only and SecurityImages 5.0.0Beta2
    • 14 files has been altered, mostly views, and com_contact/com_user controller, click on picture below for more details
      patches.altered.files
    • Download file Joomla_1.5.1-Stable-Full_PackageForSecurityImages5.0.0.zip (33kB) and overwrite file on your server

    Report all bugs in the forums in the new section

    Below are some screen shots of the BETA2 in Joomla! 1.5 in action

     

    User operations

    confirm.your.account

    forgot.your.password

     

    forgot.your.username

    To switch these patches ON/Off, go to the Global Configuration page as seen in the screen shot below

     

    global,configuration

     

    You want to customize the error message? then edit the file language\en-GB\en-GB.com_user.ini and change the key

    SECURITYIMAGES REJECT USER ENTRY=Invalid Captcha word, Please enter the correct value you see in picture

    SECURITYIMAGES LABEL=Anti-spamming protection:

    Contact section

    On a per user/contact basis, a new switch is available:

    contact.settings.securityimages.5.0

    Result:

    contact.sections

     

    Login area

     

    Customize labels, keys are in language\en-GB\en-GB.mod_login.ini

     

    login.joomla

    and in module

    mod.login

    Administrator area

    Patches for administrator area are missing because the plugin SecurityImages in front end start a session that is different from the backend. I will for sure find a way to get around it. In between I recommend You to use htaccess login to enhance admin login protection and reduce brute force attacks.

  •  

    The 21 July 2007 also marks an incremental bug fixing and security update for Joomla! 1.0 series software." [..]

    Joomla 1.0.13 is out!

    These are original Joomla 1.0.13 files modified to support com_securityimages 4.x ONLY:

    • Use securityimages in contact section
    • Use securityimages in login module
    • Use securityimages in registration component
    • Use securityimages in administrator login page
    First upgrade Your site to Joomla 1.0.13, thn apply this patch with FTP/SCP by overwriting one more time files

    --> Download HERE

     

     



    --------------- 1.0.13 Stable Released -- [21-July-2007 16:00 UTC] -----------------

    18-Jul-2007 Rob Schley
    # Fixed admin session problems with immediate logout after login.
    # Fixed a few misc. bugs.

    11-Jul-2007 Sam Moffatt
    ^ Removed assumption that a group exists for a user (may not actually be true)


    04-Jul-2007 Rob Schley
    # Fixed a bug in the administrator login system that prevented users from logging in


    02-Jul-2007 Rob Schley
    * SECURITY A6 [LOW Level]: Fixed [5630] HRS attack on variable "url"
    * SECURITY A1 [LOW Level]: Fixed [5654] Multiple fields subjected to cross-site scripting vulnerabilities
    * SECURITY A7 [LOW Level]: Fixed possible session fixation vulnerability in administrator application


    29-Jun-2007 Louis Landry
    ^ Hardened password storage mechanism to use a random salt
    ! Remember Me cookies will be invalid and require a re-login


    20-May-2007 Rob Schley
    # Fixed key reference lookups to match whole results only
    # Fixed two help screen naming issues.
    ^ Changed RG_EMULATION warning message to refer to Global Configuration Setting


    17-May-2007 Rob Schley
    ^ Moved register globals emulation controls into Global Configuration


    15-May-2007 Rob Schley
    # Fixed [topic,170296] : Typos in Search Mambot configurations


    14-May-2007 Rob Schley
    # Fixed [topic,153233] : "Mail to Friend" parameter checks not checking content item setings
    # Fixed [topic,126371] : IE7 left align problem
    # Fixed [topic,167745] : Added JavaScript alert for empty category title


    28-Apr-2007 Rob Schley
    ^ Changed cookie naming conventions to not break when using HTTPS
    # Fixed [topic,156116] : Optimzed queries for menu creation to improve performance.
    * SECURITY A4 [ LOW Level ]: XSS issue in com_search and com_content
    * SECURITY A4 [ LOW Level ]: XSS vulnerability in mod_login


    16-Apr-2007 Enno Klasing
    # Re-enabled Itemid behaviour of 1.0.11 (optional, default is behaviour of 1.0.12)

     

  • The 10 february 2008 also marks an incremental bug fixing and security update for Joomla! 1.0 series software." [..]

    Joomla 1.0.14 is out!

    These are original Joomla 1.0.14 files modified to support com_securityimages 4.x ONLY:

    • Use securityimages in contact section
    • Use securityimages in login module
    • Use securityimages in registration component
    • Use securityimages in administrator login page
    First upgrade Your site to Joomla 1.0.14, th4n apply this patch with FTP/SCP by overwriting one more time all files with zip content

    --> Download HERE
  • The 22 february 2008 also marks an incremental bug fixing and security update for Joomla! 1.0 series software." [..]

    Joomla 1.0.15 is out!

    These are original Joomla 1.0.15 files modified to support com_SecurityImages 4.x ONLY:

    • Use SecurityImages in contact section
    • Use SecurityImages in login module
    • Use SecurityImages in registration component
    • Use SecurityImages in administrator login page

    First upgrade Your site to Joomla 1.0.54, then apply this patch with FTP/SCP by overwriting one more time all files with zip content

    Download it here, thanks to the user in my forum mirjam for having prepared them :-)

  • SecurityImages 5.X is only running with Joomla! 1.5 and the redesign of API has introduced some incompatibilities.
    Developers/Hackers/Individuals who want to use the latest version of SecurityImages may want to read the
    following. Basic PHP knowledge  is recommended.

    joomla_1.5

    Architecture

    SecurityImages 4.0.X

    • Only work with Joomla! 1.0.X
    • Provide 2 files that 3rd party code must include:
    • client.php in order to quickly create a captcha and the input box
    • server.php in order to validate user entries and check correctness
    • Everything is packed in one component.
    • Patches for common 3rd party tool are included in code so it ca be referenced by external extensions :
      akobook, akocomment, joomla to name a few.
    • You have to overwrite Joomla! files to add protection of form for login, register, lost password, contact

    SecurityImages 5.0.X

    • Only work with Joomla! 1.5.X
    • Use the event handling mechanism of Joomla! 1.5 to  create captcha and check correctness
    • You'll have to install a system content plugin and a component,
    • it do not contains any patches anymore
    • You have to overwrite Joomla! files to add protection of form for login, register, lost password, contact

    Main differences in securityImages 5.X

    1. There is no client.php and server.php file anymore
    2. API are a lot simpler, and dependency are reduced (no PHP code to include) as it use events.
    3. More object oriented
    4. Image creation is done inside the Joomla! framework while in 4.0.X it was done without any Joomla!
      framework support.

     

    with SecurityImages 4.0.X


    In your PHP code displaying the form, can be a Pat template or a html code

    1. Include my library in page scope

    if (file_exist($mosConfig_absolute_path.'/administrator/components/com_securityimages/client.php')) {
    <?php include ($mosConfig_absolute_path.'/administrator/components/com_securityimages/client.php'); ?>
    }
    $packageName = 'securityChooseUniqueKeyName';
     
    2. At the position where You want the Captcha image to be inserted
     
    <?php echo insertSecurityImage($packageName); ?>

    3. This insert the help text and the input box where the user will have to enter his text
    <?php echo getSecurityImageText($packageName); ?>

    Line at point 3. can be, in some case, depending how much space You have in the presentation HTML layer, replace with
     //will be replace at runtime, depending on user locale
    //with "Please Enter what You see:"
    <?php echo getSecurityImageTextHeader(); ?>
     
    //will be replace at run time, depending on user locale with
    //"If You do not see...Hit reload"
    <?php echo getSecurityImageTextHelp(); ?> 
     
    //will be replace at run time with the input box
    <?php echo getSecurityImageField($packageName); ?> 

    The code above insert the image, and the text, You page normally submit information to the server for processing. Most of the time, the last 2 lines are inserted in a <form> </form> HTML tags

    In the server code where you process the data...
    Few lines are required...

    if (file_exist($mosConfig_absolute_path.'/administrator/components/com_securityimages/server.php')) {
    include ($mosConfig_absolute_path.'/administrator/components/com_securityimages/server.php');
    }
    $packageName = 'securityChooseUniqueKeyName';
    $security_refid  = mosGetParam( $_POST, $packageName.'_refid', '' );
    $security_try      = mosGetParam( $_POST, $packageName.'_try', '' );
    $security_reload = mosGetParam( $_POST, $packageName.'_reload', '' );
    $checkSecurity = checkSecurityImage($security_refid, $security_try);


    If the has entered the right text then $checkSecurity = true

     


    with SecurityImages 5.0.X   joomla_1.5

    Due to the Joomla! 1.5 object model, you have basically 2 options:

    1. If your component has been made for running natively and follow Joomla! 1.5 best practices and
      recommendations..you' did probably use a real MVC paradigm in the front end part (N views,
      M models and one controller), go to point A
    2. If your component has been made for running natively or in legacy mode and do not use a MVC pattern
      (HTML code embedded in PHP code, or you use pat templates), go to point B

    Point A, MVC approach joomla_1.5

    Lets take the contact section of Joomla! 1.5 as  an example.

    It is always recommended to use a switch in all your component to activate deactivate SecurityImages per
    components  through the administrator control panel.

    This is done by adding to administrator/components/com_contact/contact_items.xml the following code:

    <param
       name="useSecurityImages" type="radio" default="1"
       label="Use SecurityImage Captcha"
       description="Enable Captcha verification">  
             <option value="0">No</option>
              <option value="1">Yes</option>
    </param>

    Joomla will read this xml file on the fly  and build the graphical user interface for the contact settings.

    Since Joomla! 1.5 now use a Model View Controller paradigm, we have to alter the controller, and add a new Task displaySecurityImagesCaptcha()in  components/com_contact/controller.php:

    function displaySecurityImagesCaptcha() { 
            global $mainframe; 
            //Per contact you can define if the user has to resolve the capctha 
    $contactId = JRequest::getVar('contact_id', 0, '', 'int'); 
    // load the contact details 
    $model    = &$this->getModel('contact'); 
    $qOptions['id'] = $contactId; 
    $contact        = $model->getContact( $qOptions ); 
    $params = new JParameter( $contact->params ); 
            if ($params->get('useSecurityImages')) {     
                $check = null; 
                $mainframe->triggerEvent('onSecurityImagesDisplay', array($check)); 
                if (!$check) { 
                    echo "<br/>Erreur affichage du Captcha<br/>"; 
                } 
            } 
        }

    As you can see, the event "onSecurityImagesDisplay" is triggered on a per contact name basis.
    That mean that some contact can have a Captcha while other have not.  You are free to define
    your own activation rules in the controller method.
    The next step is to add the task checkSecurityImagesCaptcha() checking the captcha in the
    components/com_contact/controller.php

    function checkSecurityImagesCaptcha() { 
            global $mainframe; 
    $contactId = JRequest::getVar('id', 0, '', 'int'); 
    // load the contact details 
    $model    = &$this->getModel('contact'); 
    $qOptions['id'] = $contactId; 
    $contact        = $model->getContact( $qOptions ); 
    $params = new JParameter( $contact->params ); 
            //check if that user has a capctha 
    if (!$params->get('useSecurityImages')) {  
                return true; 
            } 
    $return = false; 
    $securityImagesJoomlaContactUserTry = JRequest::getVar('securityImagesJoomlaContactUserTry', false, '', 'CMD'); 
    $mainframe->triggerEvent('onSecurityImagesCheck', array($securityImagesJoomlaContactUserTry &$return));
            return $return;
        } 

    One more step is to alter the original submit() method of the controller in components/com_contact/controller.php

    global $mainframe; 
    if (!$this->checkSecurityImagesCaptcha()) {
    JError::raiseWarning("999","Invalid Captcha Code");
    $this->display();
                return false;
     } 

    And finally altering the view /com_contact/views/contact/tmpl/default_form.php
    to display the Captcha field

    <?php if ($this->params->get('useSecurityImages')) { ?>
    <img src="/index.php?option=com_contact&task=displaySecurityImagesCaptcha&contact_id=<?php echo $this->contact->id; ?>"> 
    <br /> 
    <input type="text" name="securityImagesJoomlaContactUserTry" /> 
    <br /> 
    <?php } ?>

    Point B, Legacy approachjoomla_1.5


    In your PHP code displaying the form, can be a Pat template or a html code

    if you want to display the captcha define in administrator panel

    <img src="/index.php?option=com_securityimages&task=displaySecurityImagesCaptcha?>"> 
    <br /> 
    <input type="text" name="securityImagesmy3rdpartyExtensions" /> 

    If you want to use a particular implementation different than the one define in administrator panel, useful where you know that you want to use a smaller/bigger captcha than usual

    <img src="/index.php?option=com_securityimages&task=displayCaptchaByPlugin&plugin=hncaptcha&version=1.0?>"> 
    <br /> 
    <input type="text" name="securityImagesmy3rdpartyExtensions" /> 
     
    To check user entry with the captcha define in administrator panel
    $check = null;$userEntry = JRequest::getVar('userEntry', false, '', 'CMD');
    $mainframe->triggerEvent('onSecurityImagesCheck', array($userEntry, $check));
     
    if $check ==  true then user has solved the captcha
     
    To check user entry with the captcha against a particular plugin implementation
     
    $check = null;$check = null;
    $userEntry = JRequest::getVar('userEntry', false, '', 'CMD');
    $mainframe->triggerEvent('onSecurityImagesCheckByPlugin', array('hncaptcha', '1.0', $userEntry, $check));

     

     

     Post your questions in the forums or enhance the WIKI with your finding. I will start to maintain more and more the WIKI and put
    good documentation there.

  • A new version of the module popular posts with thumbnails version 2.1.0 has been released for Joomla! 1.7. This version is offering a new layout (Matrix) and improved code. You can see it running in the right side of this post.

    This is a drop in replacement for the Joomla! core module "Popular Articles", it offer the same level of features but also add thumbnails.

    Attention, it is required to install the library "TimThumb for Joomla! 1.6 / 1.7" for proper operations

    Download HERE

  • This module is a front end for the myriad of parameter that can set for the SmugMug flash applet.A great visual and a lot of features are built into this widget.

    Module_Smugmug_Slideshow_for_Joomla_1.5_1.7

    Flash 10 widget - Code produced is XHTML 1.0 Strict - Tested in the following browser Firefox, Opera, Chrome, IE 8

      Note: SmugMug is a paid digital photo sharing website, founded by Chris and Don MacAskill in 2002.

      Demo - Documentation - Support

      What’s new in version 1.6.1

      The account having the file ShizamSlides-2011042105.swf has been removed from smugmug.com:

      AnchorFree's network has been blocked for credit card fraud.

      We're awfully sorry, but some of AnchorFree's customers are committing fraud with stolen credit cards.
      AnchorFree hasn't responded to any of SmugMug's requests for help, so we have no choice but to disable access, since you're using that network.
      We'd love to turn your access back on, so please This email address is being protected from spambots. You need JavaScript enabled to view it. and ask them to help us.

      Now the flash applet is in joomla directory&160; /media/mod_smugmugslideshow/ so this version should always work. The demo site has been also updated

    • joomla_cms

      smumug.slideshow.for.joomla.1.6 The first release of my Smugmug Slideshow module running natively against the latest beta/trunk of Joomla! 1.6

      This module is a front end for the myriad of parameter that can set for the Smugmugflash applet.
      A great visual and a lot of features are built into this widget.

      NEW: Joomla! 1.6 native support only for version > 1.6.0
      NEW: Wiki page is now integrated in backend
      NEW: 25 modules settings
      NEW: Integrated Joomla! 1.6 one click update extension is available!

       

       

      Features

      • Native Joomla! 1.5/1.6 module,
      • Use official Flash 10 widget from smugmug,
      • Code produced is XHTML 1.0 Strict,
      • Tested in the following browser Firefox, Opera, Chrome, IE 8
      • Approved at Joomla Extension JED,
      • GPL v3.0,
      • Non commercial.

      Download & Details

    • smumug.video.for.joomla.1.6

      The first release of my Smugmug Video Player module running natively against the latest beta/trunk of Joomla! 1.6

      This Joomla! 1.6 module displays Smugmug videos using flash and Smugmug API.

      NEW: Joomla! 1.6 native support only for version >= 1.6.0
      NEW: Wiki page is now integrated in backend
      NEW: Integrated Joomla! 1.6 one click update extension is available!

      Features

      • Native Joomla! 1.6 module,
      • Use official Flash 10 widget from smugmug,
      • Code produced is XHTML 1.0 Strict,
      • Tested in the following browser Firefox, Opera, Chrome, IE 8
      • Approved at Joomla! Extension JED,
      • GPL v3.0,
      • Non commercial.

      Download        Details

    • I switch off the original module of Joomla! and made my own as I did not find anything similar in Joomla! extensions (JED)

      most.read.articles.with.thumbnails.for.joomla

      This Module shows a list of the currently published Articles with thumbnails which have the highest number of page views.

      Features

      • Native Joomla! 1.5 module
      • Next 5 or more most popular articles are displayed with their thumbnails
      • Support for SEF friendly URLs
      • Code produced is XHTML 1.0 Strict,
      • Tested in the following browser Firefox, Opera, Chrome, IE 8
      • Approved at Joomla Extension JED (Soon),
      • GPL v3.0,
      • CSS driven output customizable to your likings,
      • PHP5 object oriented with enough comments for you to be able to understand the code :-)
      • Non commercial.

      Requirements

      • Thumbnails resizing require PHP GD2 library for manipulating images. Any serious hosting company should have this option. Ask your Hosting support company!

      Thumbnails

      • Are created from the first images found in your introtext,
      • For articles without images or when none are found you can provide a path to a default image
      • Are saved in Joomla! /cache directory and are created only once for an article as it is required addtional CPU
      • Currently the oldest thumbnails get removed 5 by 5 when you will have more then 5000 thumbnails in /cache.

      most.read.articles.with.thumbnails.for.joomla.admin 

      Documentation

      Download & Details

    • Some people are now using MXcomment 1.0.7 in Joomla! 1.5 (Legacy mode is required).
      Unfortunately MXcomment code is only able to support securityimages 4.X

      After 15 minutes, it is now supporting securityimages 5.X and 4.X at the same time since
      it detect in which version of Joomla!, and which version of securityimages you are using.

      Other than that, I've done nothing else.

      Original MXcomment version can be found here while the modified version is available in
      my download section (com_MXcomment_v1.0.7+ for securityimages 4.X and 5.X.zip) at
      the moment and as long as the author Bernard Gilly do not review and use my changes in
      the standard version.

      For people not knowing MXcomment:

       

      This last has to replace AkoComment Tweaked Special Edition of which visualclinic.fr
      do not ensure any more the follow-up. This new component was developed of A to Z
      and also takes again all the options which visualclinic.fr has added in AkoComment
      T.S.E. and more new features. The innovation is the possibility of adding templates
      much more easily and compliance with Joomla! 1.5, Joom!fish and Mamblog.
      Features :
      - Editor review
      - Rating Editor
      - Rating Users (registered only)
      - Comment users
      - System of favored
      - Quote an article on your website
      - Save an article to del.icio.us
      - Related Items
      - Keywords (tags)
      - Template system for article: intro, full text and comments
      - Avatar
      - Compliance with Joom!fish
      - Multi-page supports
      - Auto-publish or moderation by admin
      - Public or registered users only
      - Comment closed support
      - Report system to admin
      - Reply on comments (1 level)
      - Mode manual, semi-automatic or automatic
      - Search mambot for comment
      - RSS feed on comments
      - BBCode supports
      - Alert system on new comment
      - Bad words filtering integrated
      - Spam prevention with Akismet spam detection service integrated
      - Compliance with AlphaContent
      - Support SEF (SefAdvance and Artio JoomSEF)
      - Integration :
      - Community Builder ( To profil comment's author and avatar )
      - Security Image
      - VisualRecommend
      - Easy installation by one click / one step (component and mambots) with
      import AkoComment Tweaked Specal Edition 1.4.x